Package io.vertx.rxjava3.ext.web.handler.graphql.ws

## Class GraphQLWSHandlerBuilder

- java.lang.Object
- - io.vertx.rxjava3.ext.web.handler.graphql.ws.GraphQLWSHandlerBuilder

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class GraphQLWSHandlerBuilder
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A builder for `GraphQLWSHandler` instances.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<GraphQLWSHandlerBuilder>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GraphQLWSHandlerBuilder​(GraphQLWSHandlerBuilder delegate)` |
    `GraphQLWSHandlerBuilder​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GraphQLWSHandlerBuilder` | `beforeExecute​(Handler<ExecutionInputBuilderWithContext<Message>> beforeExecuteHandler)` | Set a callback to invoke before executing a GraphQL query.
    `GraphQLWSHandler` | `build()` |
    `boolean` | `equals​(Object o)` |
    `GraphQLWSHandlerBuilder` | `getDelegate()` |
    `int` | `hashCode()` |
    `static GraphQLWSHandlerBuilder` | `newInstance​(GraphQLWSHandlerBuilder arg)` |
    `GraphQLWSHandlerBuilder` | `onConnectionInit​(Handler<ConnectionInitEvent> connectionInitHandler)` | Customize the connection init .
    `GraphQLWSHandlerBuilder` | `onMessage​(Handler<Message> messageHandler)` | Customize the message .
    `GraphQLWSHandlerBuilder` | `onSocketEnd​(Handler<ServerWebSocket> endHandler)` | Customize the end .
    `String` | `toString()` |
    `GraphQLWSHandlerBuilder` | `with​(GraphQLWSOptions options)` | Change the `GraphQLWSOptions` to use.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<GraphQLWSHandlerBuilder> __TYPE_ARG

  - ### Constructor Detail

    - #### GraphQLWSHandlerBuilder

          public GraphQLWSHandlerBuilder​(GraphQLWSHandlerBuilder delegate)

    - #### GraphQLWSHandlerBuilder

          public GraphQLWSHandlerBuilder​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public GraphQLWSHandlerBuilder getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### with

          public GraphQLWSHandlerBuilder with​(GraphQLWSOptions options)

      Change the `GraphQLWSOptions` to use.
      Parameters:
        `options` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### onConnectionInit

          public GraphQLWSHandlerBuilder onConnectionInit​(Handler<ConnectionInitEvent> connectionInitHandler)

      Customize the connection init . This handler will be called when the message is received.
      Parameters:
        `connectionInitHandler` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### beforeExecute

          public GraphQLWSHandlerBuilder beforeExecute​(Handler<ExecutionInputBuilderWithContext<Message>> beforeExecuteHandler)

      Set a callback to invoke before executing a GraphQL query.
      Parameters:
        `beforeExecuteHandler` - the callback to invoke
      Returns:
        a reference to this, so the API can be used fluently

    - #### onMessage

          public GraphQLWSHandlerBuilder onMessage​(Handler<Message> messageHandler)

      Customize the message . This handler will be called for each `Message` received.
      Parameters:
        `messageHandler` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### onSocketEnd

          public GraphQLWSHandlerBuilder onSocketEnd​(Handler<ServerWebSocket> endHandler)

      Customize the end . This handler will be called at the end of each websocket connection.
      Parameters:
        `endHandler` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### build

          public GraphQLWSHandler build()

      Returns:
        a new instance of `GraphQLWSHandler`

    - #### newInstance

          public static GraphQLWSHandlerBuilder newInstance​(GraphQLWSHandlerBuilder arg)